Get all workflow tasks Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/workflow/{workflow_uuid}/task

Path parameters

  • workflow_uuid string Required

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [author, participants, tags, groups].

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name]. Negative sign to denote DESC. Defaults to 'name'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string
GET /api/v1/workflow/{workflow_uuid}/task
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/workflow/6ff8f7f6-1eb3-3525-be4a-3932c805afed/task' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (401)
{
  "message": "Unauthenticated."
}